# queuebase.h File Reference

Base classes for RTP queues. More...

`#include <cc++/pointer.h>`
`#include <ccrtp/rtppkt.h>`
`#include <ccrtp/sources.h>`

Go to the source code of this file.

## Classes

class | AppDataUnit
| Interface (envelope) to data received over RTP packets. More...
class | RTPQueueBase
| A virtual base class for RTP queue hierarchies. More...
class | OutgoingDataQueueBase
class | IncomingDataQueueBase

## Detailed Description

Base classes for RTP queues.